local function turf(name, texture, asset)
	local function func(sim)
		local inst = CreateEntity()
		inst:DoTaskInTime(0, inst.Remove)
		
		local interior = GetWorld().components.interiorspawner
		if interior and interior.current_interior then 
			interior.current_interior.floortexture = texture
			interior:UpdateInteriorHandle(interior.current_interior)
		end
	end
	
	asset = asset and {Asset("INV_IMAGE", asset)} or {}
	
	return Prefab(name, func, asset, {})
end 

return turf("interior_floor_cultivated", "levels/textures/ground_noise_checkeredlawn.tex", "turf_lawn"), 
	turf("interior_floor_volcanic", "levels/textures/ground_lava_rock.tex", "turf_volcano")